summaryrefslogtreecommitdiffstats
path: root/rxvt-unicode/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-06-09 10:30:45 +0000
committer Eric Hameleers <alien@slackware.com>2009-06-09 10:30:45 +0000
commitcfc9af4ebf16e5e6d923dc422cdd2b3f6b6a6fbc (patch)
tree3a8e73f3ed0554d9dbcc3506d5d6bfa980ef40d8 /rxvt-unicode/build
parent0c5445285f22921ff8e7e1877aedc11729b06611 (diff)
downloadasb-cfc9af4ebf16e5e6d923dc422cdd2b3f6b6a6fbc.tar.gz
asb-cfc9af4ebf16e5e6d923dc422cdd2b3f6b6a6fbc.tar.xz
Updated to 9.06
Diffstat (limited to 'rxvt-unicode/build')
-rwxr-xr-xrxvt-unicode/build/rxvt-unicode.SlackBuild265
1 files changed, 95 insertions, 170 deletions
diff --git a/rxvt-unicode/build/rxvt-unicode.SlackBuild b/rxvt-unicode/build/rxvt-unicode.SlackBuild
index 5aae1f52..3a711edb 100755
--- a/rxvt-unicode/build/rxvt-unicode.SlackBuild
+++ b/rxvt-unicode/build/rxvt-unicode.SlackBuild
@@ -1,6 +1,26 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2006 Eric Hameleers <alien@slackware.com>
+
+# Copyright 2006,2009 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
# -----------------------------------------------------------------------------
#
# Slackware SlackBuild script
@@ -11,68 +31,56 @@
# URL: http://software.schmorp.de/pkg/rxvt-unicode.html
# Needs:
# Changelog:
-# 7.9-1: 02/Sep/2006 by Eric Hameleers <alien@slackware.com>
+# 7.9-1: 02/Sep/2006 by Eric Hameleers <alien@slackware.com>
# * Initial build.
-# 7.9-2: 12/Sep/2006 by Eric Hameleers <alien@slackware.com>
+# 7.9-2: 12/Sep/2006 by Eric Hameleers <alien@slackware.com>
# * Added a terminfo to the doc directory. If you get the error
# "rxvt-unicode: unknown terminal type", install the .terminfo file
# by running "tic /usr/doc/rxvt-unicode-7.9/rxvt-unicode.terminfo"
+# 9.06-1: 09/jun/2009 by Eric Hameleers <alien@slackware.com>
+# * Update
#
-# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# Run 'sh rxvt-unicode.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
# Install using 'installpkg'.
#
# -----------------------------------------------------------------------------
-# --- INIT ---
# Set initial variables:
PRGNAM=rxvt-unicode
-VERSION=${VERSION:-7.9}
+VERSION=${VERSION:-9.06}
ARCH=${ARCH:-i486}
-BUILD=2
+BUILD=${BUILD:-1}
+TAG=${TAG:-"alien"}
# Where do we look for sources?
-CWD=`pwd`
-SRCDIR=`dirname $0`
-[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+SRCDIR=$(cd $(dirname $0); pwd)
# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED!" | tee $CWD/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
-
-
DOCS="COPYING Changes MANIFEST README* doc/README.xvt \
doc/changes.txt doc/embed* doc/rxvt-tabbed doc/etc/rxvt-unicode.term*"
-# Input URL: http://dist.schmorp.de/rxvt-unicode/rxvt-unicode-7.9.tar.bz2
-SOURCE="${PRGNAM}-${VERSION}.tar.bz2"
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.bz2"
SRCURL="http://dist.schmorp.de/${PRGNAM}/${PRGNAM}-${VERSION}.tar.bz2"
##
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Slackware 11 and up need other option (gcc > 3.3.x)
-if [ `gcc -dumpversion | tr -d '.' |cut -c 1-2` -gt 33 ]; then
- MOPT=tune
-else
- MOPT=cpu
-fi
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
case "$ARCH" in
- i386) SLKCFLAGS="-O2 -march=i386 -m${MOPT}=i686"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- i486) SLKCFLAGS="-O2 -march=i486 -m${MOPT}=i686"
+ i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
s390) SLKCFLAGS="-O2"
@@ -84,47 +92,32 @@ case "$ARCH" in
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
- athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
esac
-if [ ! -d $TMP/tmp-$PRGNAM ]; then
- mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-elif [ "$P1" != "--oldbuild" ]; then
- # If the "--oldbuild" parameter is present, we keep
- # the old build files and continue;
- # By default we remove the remnants of previous build and continue:
- rm -rf $TMP/tmp-$PRGNAM/*
-fi
-
-if [ "$PKG" = "" -o "$PKG" = "/" ] ; then
- echo "Please provide a sane value for the variable 'PKG'."
- exit 1
-elif [ ! -d $PKG ]; then
- mkdir -p $PKG # place for the package to be built
-else
- rm -rf $PKG/* # We always erase old package's contents:
-fi
-
-if [ ! -d $OUTPUT ]; then
- mkdir -p $OUTPUT # place for the package to be saved
-fi
-
-
-# --- SOURCE FILE AVAILABILITY ---
-
-if ! [ -f ${SRCDIR}/${SOURCE} ]; then
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
+
+# Source file availability:
+if ! [ -f ${SOURCE} ]; then
if ! [ "x${SRCURL}" == "x" ]; then
- echo "Source '${SOURCE}' not available yet... will download now:"
- wget -nv -O "${SRCDIR}/${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 ]; then
- echo "Downloading '${SOURCE}' failed... aborting the build."
- mv -f "${SRCDIR}/${SOURCE}" "${SRCDIR}/${SOURCE}".FAIL
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
fi
else
- echo "File '${SOURCE}' not available... aborting the build."
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
exit 1
fi
fi
@@ -140,127 +133,59 @@ echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"
-cd $PKG
-
-# Explode the package framework:
-if [ -f $SRCDIR/_$PRGNAM.tar.gz ]; then
- explodepkg $SRCDIR/_$PRGNAM.tar.gz
-fi
-
cd $TMP/tmp-$PRGNAM
-
-
-# --- TARBALL EXTRACTION,PATCH,MODIFY ---
-
echo "Extracting the source archive(s) for $PRGNAM..."
-if `file $SRCDIR/${SOURCE} | grep -q ": bzip2"`; then
- tar -xjvf $SRCDIR/${SOURCE} || true
-elif `file $SRCDIR/${SOURCE} | grep -qi ": zip"`; then
- unzip $SRCDIR/${SOURCE} || true
-elif `file $SRCDIR/${SOURCE} | grep -qi ": 7-zip"`; then
- 7za -x $SRCDIR/${SOURCE} || true
-else
- tar -xzvf $SRCDIR/${SOURCE} || true
-fi
-if [ $? -ne 0 ]; then
- echo "Error in unpacking '${SOURCE}!' Aborting..."
- exit $?
-fi
-if [ -d ${PRGNAM}-${VERSION} ]; then
- cd ${PRGNAM}-${VERSION}
-else
- cd ${PRGNAM}* # a little less specific
-fi
-
-chown -R root.root *
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 700 -exec chmod 755 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-
-
-# --- BUILDING ---
+tar -xvf $SRCDIR/${SOURCE}
+cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
echo Building ...
-
LDFLAGS="$SLKLDFLAGS" \
CFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --localstatedir=/var \
- --sysconfdir=/etc \
- --program-prefix="" \
- --program-suffix="" \
- $ARCH-slackware-linux \
- 2>&1 | tee $CWD/configure-${PRGNAM}.log
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --program-prefix= \
+ --program-suffix= \
+ $ARCH-slackware-linux \
+ 2>&1 | tee $CWD/configure-${PRGNAM}.log
make 2>&1 | tee $CWD/make-${PRGNAM}.log
+make DESTDIR=$PKG install 2>&1 |tee $CWD/install-${PRGNAM}.log
-#
-# Install all the needed stuff to the package dir
-#
-# Use installwatch if available:
-if `which installwatch > /dev/null 2>&1`; then
- installwatch -o $CWD/install-${PRGNAM}.log make DESTDIR=$PKG install
-else
- make DESTDIR=$PKG install 2>&1 |tee $CWD/install-${PRGNAM}.log
-fi
-
-
-
-# --- DOCUMENTATION ---
-
+# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
-chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
-
-# Move incorrectly installed man pages, if any
-[ -d $PKG/usr/share/man ] && \
- mv $PKG/usr/share/man $PKG/usr/ && rmdir $PKG/usr/share || true
-# Compress the man page(s)
-[ -d $PKG/usr/man ] && \
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $SRCDIR/$(basename $0) | sed \
+ -e "/^VERSION=/s/:-.*}/:-$VERSION}/" \
+ -e "/^ARCH=/s/:-.*}/:-$ARCH}/" \
+ -e "/^BUILD=/s/:-.*}/:-$BUILD}/" \
+ > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).
+gz $i.gz ; rm $i ; done
+fi
# Strip binaries
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
-
-# --- OWNERSHIP, RIGHTS ---
-
-chmod -R o-w $PKG
-
-
-# --- PACKAGE DESCRIPTION ---
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Add a package description:
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc
-if [ -f $SRCDIR/doinst.sh ]; then
- cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
-fi
-if [ -f $SRCDIR/slack-required ]; then
- cat $SRCDIR/slack-required > $PKG/install/slack-required
-fi
-
-
-# --- BUILDING ---
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
- 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
-(cd $OUTPUT && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+/sbin/makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
-if [ -f $PKG/install/slack-required ]; then
- cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.dep
-fi
-
-
-# --- CLEANUP ---
-
-# Clean up the extra stuff:
-if [ "$P1" = "--cleanup" ]; then
- rm -rf $TMP/tmp-$PRGNAM
- rm -rf $PKG
-fi